#ifndef __CONFIGTAB_H
#define __CONFIGTAB_H


#include <qtabdlg.h>

#include <startUpWidget.h>
#include <exitWidget.h>


class configTab : public QTabDialog
{
  Q_OBJECT

  public:
    configTab (QWidget * parent=0, const char * name=0, bool modal=FALSE);
    ~configTab ();

  signals:
    void showMenuBar ();
    void hideMenuBar ();

    void showToolBar ();
    void hideToolBar ();

    void showStandard ();
    void showMinimum ();
    void showFull ();

  private slots:
    void apply ();

  private:
    startUpWidget* startUp;
    exitWidget* exit;
    
};


#endif
