#include <iostream.h>
#include <string.h>

#include <kapp.h>
#include <klocale.h>

#include "mywidget.h"


KApplication* a;
KLocale* loc;


int main (int paramAnz, char ** paramStr)
  {
    int i;

    for (i=0; i<paramAnz; i++)
      {
	if (strcmp (paramStr[i], "--help") == 0)
	  {
	    cout << "Available commandline options:" << endl << endl;
	    cout << "--help   :  show this text" << endl;
	    cout << endl;

	    return (0);
	  }
      }

        
    a = new KApplication (paramAnz, paramStr);

    loc = a->getLocale ();

    MyWidget* w;
    w = new MyWidget;

    // define it but don't show it yet
    a->setMainWidget (w);
    w->show ();

    return (a->exec ());
  }
